#! /usr/bin/env node

var args = require('yargs')
  .usage('Usage: export-events [options]')
  .default('password', 'changeit')
  .default('username', 'admin')
  .default('ipaddress', '127.0.0.1')
  .default('port', '2113')
  .default('filtertypes', '')
  .default('filterstreams', '')
  .describe('filtertypes', 'Filename containing a list of event types to ignore')
  .describe('filterstreams', 'Filename containing a list of stream ids to ignore')
  .help('h')
  .alias('h', 'help')
  .alias('u', 'username')
  .alias('p', 'password')
  .alias('ft', 'filtertypes')
  .alias('fs', 'filterstreams')
  .argv

var readAllEvents = require('./lib/readAllEvents')

readAllEvents(args)
